# Class: MaiaGPU

## MaiaGPU()

#### new MaiaGPU()

MaiaScript GPU compute library.

Source:
  - GPU.js, line 24

### Methods

#### isSupported() → {boolean}

Tests whether GPU is supported.

Source:
  - GPU.js, line 38

##### Returns:

Returns true if supported and false otherwise.

Type
  boolean

#### new() → {object}

Creates a new GPU object.

Source:
  - GPU.js, line 52

##### Returns:

An object to interact with the GPU device.

Type
  object

#### (inner) init()

Creates the attributes of the class.

Source:
  - GPU.js, line 30